Bug 46901

Summary: Spatial Navigation: Press key "down" after page load should bring the focus to the 1st focusable element
Product: WebKit Reporter: Chang Shu <cshu>
Component: New BugsAssignee: Chang Shu <cshu>
Status: RESOLVED FIXED    
Severity: Normal CC: ademar, commit-queue, tonikitoo, yael
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on:    
Bug Blocks: 46905    
Attachments:
Description Flags
fix patch none

Description Chang Shu 2010-09-30 08:14:48 PDT
After page is loaded, pressing key "arrowdown" should bring the focus to the 1st element. But currently, focus goes to the last element.
Comment 1 Chang Shu 2010-09-30 10:32:37 PDT
Created attachment 69346 [details]
fix patch
Comment 2 Antonio Gomes 2010-10-01 08:59:25 PDT
will review it soon...
Comment 3 Antonio Gomes 2010-10-04 08:22:06 PDT
Chang, before we go on, could you check how Opera handles the initial focused element for (SHITF+) ARROW_{UP, DOWN}?
Comment 4 Chang Shu 2010-10-04 08:54:12 PDT
(In reply to comment #3)
> Chang, before we go on, could you check how Opera handles the initial focused element for (SHITF+) ARROW_{UP, DOWN}?

I just checked Opera and it focuses on the 1st node initially. Btw, it is a great idea to use Opera as our reference.
Comment 5 Chang Shu 2010-10-04 08:55:36 PDT
(In reply to comment #4)
> (In reply to comment #3)
> > Chang, before we go on, could you check how Opera handles the initial focused element for (SHITF+) ARROW_{UP, DOWN}?
> 
> I just checked Opera and it focuses on the 1st node initially. Btw, it is a great idea to use Opera as our reference.

Just to make it clear, in Opera, shift+down brings the focus to the 1st element and shift+up to the last element. This matches the behavior of the patch.
Comment 6 Antonio Gomes 2010-10-04 08:58:15 PDT
Comment on attachment 69346 [details]
fix patch

r=me
Comment 7 WebKit Commit Bot 2010-10-04 21:03:47 PDT
Comment on attachment 69346 [details]
fix patch

Clearing flags on attachment: 69346

Committed r69063: <http://trac.webkit.org/changeset/69063>
Comment 8 WebKit Commit Bot 2010-10-04 21:03:53 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Ademar Reis 2010-10-05 07:53:35 PDT
Revision r69063 cherry-picked into qtwebkit-2.1 with commit c99c5e7 <http://gitorious.org/webkit/qtwebkit/commit/c99c5e7>